Bug 463987 - (CVE-2008-3826) CVE-2008-3826 condor: users can run jobs with arbitrary owners
CVE-2008-3826 condor: users can run jobs with arbitrary owners
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=redhat,reporte...
: Security
Depends On: 462787 463357 466075 466076
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 15:20 EDT by Josh Bressers
Modified: 2008-10-10 03:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-10 03:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Josh Bressers 2008-09-25 15:31:30 EDT
A user with permission to submit jobs can run any program on a pool as any
user.

The job is submitted and the Owner is quickly changed to the victim. The
victim's account will be used to run the job. The job can run any program
and be directed to any machine within the pool.

This flaw cannot be used to execute arbitrary jobs as the root superuser.
Comment 4 Fedora Update System 2008-10-09 17:30:08 EDT
condor-7.0.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Red Hat Product Security 2008-10-10 03:21:22 EDT
This issue was addressed in:

Red Hat Enterprise MRG for RHEL-4:
  http://rhn.redhat.com/errata/RHSA-2008-0924.html

Red Hat Enterprise MRG for RHEL-5:
  http://rhn.redhat.com/errata/RHSA-2008-0911.html

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8733

Note You need to log in before you can comment on or make changes to this bug.